Summary:	Race down mountainous terrain with Tux!
Summary(pl.UTF-8):	Zjeżdżaj z Tuksem w górzystym terenie!
Summary(pt_BR.UTF-8):	Corra montanha abaixo com o Tux!
Summary(de.UTF-8):	Tux Racer ist ein 3D-Computerspiel
Name:		tuxracer
Version:	0.61
Release:	13
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/tuxracer/%{name}-%{version}.tar.gz
# Source0-md5:	206e8197ceaf0f00b25d4e2b4156e563
Source1:	http://dl.sourceforge.net/tuxracer/%{name}-data-%{version}.tar.gz
# Source1-md5:	aef877fee9e1a56483ff01fbdfb1e4b3
Source2:	http://brcha.free.fr/data/projects/RoadsOfSerbia/RoadsOfSerbia.tar.bz2
# Source2-md5:	5eff75e60b3d4a46f97bb697d968a299
Source3:	%{name}.desktop
Source4:	%{name}.png
Patch0:		%{name}-gcc33.patch
Patch1:		%{name}-build.patch
URL:		http://tuxracer.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	tcl-devel >= 8.4.3
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXmu-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
Tux Racer lets you take on the role of Tux the Linux Penguin as he
races down steep, snow-covered mountains. Enter cups and compete to
win the title! Tux Racer includes a variety of options for gameplay,
including the ability to race courses in fog, at night, and under high
winds.

%description -l pl.UTF-8
Tux Racer pozwala wcielić się w rolę Tuksa, linuksowego Pingwina
podczas zjazdu w dół pokrytych śniegiem gór. Weź udział w zawodach i
zdobądź tytuł! Tux Racer zawiera wiele opcji, między innymi możliwość
zjeżdżania we mgle, w nocy i podczas silnego wiatru.

%description -l pt_BR.UTF-8
O objetivo do Tux Racer é diversão! Corra montanha abaixo tão rápido
quanto possível e capture peixes para aumentar sua pontuação!

%description -l de.UTF-8
Tux Racer ist ein 3D-Computerspiel, welches bei Linuxnutzern sehr
beliebt ist. Die Hauptfigur ist das Maskottchen Tux. Dieses muss man
durch geschicktes Steuern durch eine verschneite Eislandschaft
rutschen lassen. Dabei müssen manchmal Hindernisse umschifft und
Heringe gesammelt werden.

%prep
%setup -q -a1 -a2
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CPPFLAGS="%{rpmcflags} -DGLX_GLXEXT_LEGACY"
%configure \
	--with-data-dir=%{_datadir}/%{name}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/%{name},%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE4} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f %{name}-data-%{version}/* $RPM_BUILD_ROOT%{_datadir}/%{name}
mv -f Roads\ Of\ Serbia/ $RPM_BUILD_ROOT%{_datadir}/%{name}/courses/contrib/roads_of_serbia

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog html/*
%attr(755,root,root) %{_bindir}/tuxracer
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Tue Jun 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tuxracer.git;a=log;h=master

* Tue Jun 03 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> ff971e1
- rel 13; fix build

* Sun Jun 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 7df3116
- tcl rebuild
- release 12 (by relup.sh)

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 024c51b
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 4efee35
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5d8132a
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 1f32f0a
- dropped non-versioned OpenGL dep (soname is enough)

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 2b1f3f5
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Sat Apr 15 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 1310df0
- modular xorg deps (thanks to Piotr Karbowski)

* Wed Apr 05 2006 blekot <blekot@pld-linux.org> dcc4589
- URL change

* Wed Mar 23 2005 spider <spider@pld-linux.org> 382d3f8
- added german description

* Thu Nov 18 2004 havner <havner@pld-linux.org> de3ff73
- rel 11 for broken desktop file

* Thu Nov 18 2004 havner <havner@pld-linux.org> a0e1cd7
- small fix

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> d02c63c
- ven -> ve in desktop, rel. 10

* Wed Nov 10 2004 ankry <ankry@pld-linux.org> 8a0f950
- ven -> ve

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> ba5106f
- pl fixes

* Sun Jul 04 2004 Adam Gołębiowski <adamg@pld-linux.org> ef8b160
- release 9 (fixed desktop file)

* Sun Jul 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 6f31b7a
- fixed categories

* Tue Mar 16 2004 Jakub Bogusz <qboosh@pld-linux.org> 38e214c
- better pl summary based on new en

* Tue Mar 16 2004 undefine <undefine@pld-linux.org> 3d886bb
- bogus es translation, use as en ;)

* Tue Mar 16 2004 undefine <undefine@pld-linux.org> e4001c8
- pt_BR/es translations from conectiva

